#!/bin/bash
#
# Do the configuration steps required for the SPC1 benchmark 
#
# create tmp directory for spc1 if it does not exist 
if [ ! -d /tmp/spc1 ]; then      
mkdir /tmp/spc1
fi 
ROOT=/home/spc1/fdr
SCRIPTS=${ROOT}/7_Execution
CONFIGURE=${ROOT}/5_Creation
PollingInterval=300		# wait 5 minutes to check format status

#
# confID uniquely identifies the configuration of the array
#
confID=DX200S4_20170329

#
# obtain cjobID based on the timestamp
# cjobID uniquely identifies the configuration job
cjobID=C`date +%y%m%d%H%M%S`

echo job start time `date` | tee -a /tmp/spc1/${cjobID}_message.txt
echo This is an array configuration job | tee -a /tmp/spc1/${cjobID}_message.txt
echo job confID=$confID | tee -a /tmp/spc1/${cjobID}_message.txt
echo job cjobID=$cjobID | tee -a /tmp/spc1/${cjobID}_message.txt
echo "Starting Configuration Job=${cjobID}" | tee -a ${cjobID}_message.txt

#
# Configure Array using the Expect script to issue CLI commands
#
echo "Starting Eternus CLI script for configuration Job=${cjobID}" | tee -a ${cjobID}_message.txt
${CONFIGURE}/${confID}.exp
echo "Completed Eternus CLI script for configuration Job=${cjobID}" | tee -a ${cjobID}_message.txt

#
# Wait for physical format to complete
#
echo "Waiting for physical format to complete Job=${cjobID}" | tee -a ${cjobID}_message.txt

${CONFIGURE}/showFormatStatus.exp afa root /tmp/spc1/fmt_${cjobID}.txt

LUNS=`grep Available /tmp/spc1/fmt_${cjobID}.txt|wc|awk '{print $1}'`
while [ $LUNS -gt 0 ]; do
 echo "---------------------------------------------"  >> /tmp/spc1/${cjobID}_message.txt
 cat  /tmp/spc1/fmt_${cjobID}.txt >> /tmp/spc1/${cjobID}_message.txt
 echo "Currently formatting $LUNS LUNS Job=${cjobID}" ${cjobID}_message.txt
 sleep $PollingInterval
 ${CONFIGURE}/showFormatStatus.exp afa root /tmp/spc1/fmt_${cjobID}.txt
 LUNS=`grep Available /tmp/spc1/fmt_${cjobID}.txt |wc |awk '{print $1}'`
done
echo "Physical format complete please proceed. Job=${cjobID}" | tee -a ${cjobID}_message.txt
